com.unitech.lib.types

## Enum ConnectionMode

- java.lang.Object
- - java.lang.Enum<ConnectionMode>
  - - com.unitech.lib.types.ConnectionMode

- All Implemented Interfaces:
    Serializable, Comparable<ConnectionMode>

      public enum ConnectionMode
      extends Enum<ConnectionMode>

  ConnectionMode enum represents the different modes of connection available for a device. Each mode has a unique code and a descriptive name.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `bleHID`
    `bleSPP`
    `btHID`
    `btSPP`
    `buffer`
    `usbHID`
    `usbSPP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionMode` | `fromValue(int value)`
    `int` | `getCode()`
    `String` | `toString()`
    `static ConnectionMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### btHID

          public static final ConnectionMode btHID

    - #### btSPP

          public static final ConnectionMode btSPP

    - #### usbHID

          public static final ConnectionMode usbHID

    - #### usbSPP

          public static final ConnectionMode usbSPP

    - #### bleHID

          public static final ConnectionMode bleHID

    - #### bleSPP

          public static final ConnectionMode bleSPP

    - #### buffer

          public static final ConnectionMode buffer

  - ### Method Detail

    - #### values

          public static ConnectionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionMode c : ConnectionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ConnectionMode>`

    - #### fromValue

          public static ConnectionMode fromValue(int value)
                                          throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`